import LogoButton from "./LogoButton"

interface FooterProps {
    bgcolor:string
}

export default function Footer ({bgcolor}:FooterProps) {
    return (
        <footer style={{display: "flex", justifyContent: "space-between", backgroundColor:bgcolor}}>
            <div style={{ display : "flex",  alignItems: "center", flexDirection: "row"}}>ENSIBS<br />RedCRAB</div>
            <div style={{ display : "flex",  alignItems: "center", flexDirection: "row"}}>
                <LogoButton 
                    url="https://www-ensibs.univ-ubs.fr/fr/index.html"
                    logo = "https://www-ensibs.univ-ubs.fr/skins/ENSIBS/resources/img/logo.png"
                    style={{ width: "50%", height: "auto" }}/>
            </div>
        </footer>
    )
}