import ArticlesSection from '../components/ArticlesSection.tsx'
import Footer from '../components/Footer.tsx'
import FstSection from '../components/FstSection.tsx'

export default function MainPage() {
    return (
        <>
        <div style={{ display: 'flex', flexDirection: 'column', minHeight: '100vh' }}>
            <FstSection 
                centertxt="Sauvez l'océan :"
                txtbt1="Jeu interactif" 
                txtbt2="Découvrez nos articles" 
                image="url('/pictures/sea.gif')"/>
            <ArticlesSection />
            <Footer bgcolor="lightblue"/>
        </div>
        </>
    )
}