import LogoButton from '../components/LogoButton.tsx'
import ClickableLink from './ClickableLink.tsx';
import RoundButton from './RoundButton.tsx';

export default function NavBar(){
    return (
    <nav style={{ display: "flex", alignItems: "center", justifyContent: "space-between"}}>
        <div style={{ display : "flex",  alignItems: "center", flexDirection: "row"}}>
            <LogoButton url="/" logo = "https://archlinux.org/static/hetzner_logo.41114a37d25f.png"/>
            <ClickableLink url="/" text = "Accueil" />
            <ClickableLink url="/game" text = "Jeu" />
        </div>
        <div style={{ display : "flex",  alignItems: "center", flexDirection: "row"}}>
            <RoundButton url="https://archlinux.org" bgcolor="purple" text="?"/>
        </div>
    </nav>);
}